# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin ={stdin}, *yyout ={stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
 /* stod - convert Fortran program from double-precision to single-precision */
#include <ctype.h>
#undef output				/* so we get our private version */
void	convert_declaration();
void	convert_number();
void	cvtstr();
void	output();
void	outstr();
#undef ECHO
#define ECHO	outstr(yytext)
		/* increase two lex table sizes for Sun lex */
		/* (IBM RS/6000 AIX lex does not need this) */
					/* decimal digit */
					/* floating-point exponent */
					/* optional whitespace */
					/* number */
# define YYNEWLINE 10
int yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		ECHO;
break;
case 2:
		{	/* handle tabbed continuation */
				    outstr("     ");
				    output(yytext[1]);
				}
break;
case 3:
case 4:
			outstr("      ");
break;
case 5:
	convert_declaration();
break;
case 6:
case 7:
convert_declaration();
break;
case 8:
 convert_declaration();
break;
case 9:
	convert_declaration();
break;
case 10:
case 11:
convert_declaration();
break;
case 12:
 convert_declaration();
break;
case 13:
		ECHO;
break;
case 14:
ECHO;
break;
case 15:
	ECHO;
break;
case 16:
case 17:
case 18:
case 19:
case 20:
case 21:
case 22:
case 23:
case 24:
case 25:
case 26:
case 27:
		ECHO;
break;
case 28:
case 29:
case 30:
			convert_number();
break;
case 31:
		cvtstr("abs");
break;
case 32:
		cvtstr("acos");
break;
case 33:
		cvtstr("asin");
break;
case 34:
		cvtstr("atan");
break;
case 35:
	cvtstr("atan2");
break;
case 36:
		cvtstr("sngl");
break;
case 37:
		cvtstr("cos");
break;
case 38:
		cvtstr("cosh");
break;
case 39:
		cvtstr("dim");
break;
case 40:
		cvtstr("exp");
break;
case 41:
	cvtstr("float");
break;
case 42:
		cvtstr("aint");
break;
case 43:
		cvtstr("alog");
break;
case 44:
		cvtstr("alog10");
break;
case 45:
		cvtstr("amax0");
break;
case 46:
		cvtstr("amax1");
break;
case 47:
		cvtstr("amin0");
break;
case 48:
		cvtstr("amin1");
break;
case 49:
		cvtstr("amod");
break;
case 50:
		cvtstr("anint");
break;
case 51:
		cvtstr("sign");
break;
case 52:
		cvtstr("sin");
break;
case 53:
		cvtstr("sinh");
break;
case 54:
		cvtstr("sqrt");
break;
case 55:
		cvtstr("tan");
break;
case 56:
		cvtstr("tanh");
break;
case 57:
		cvtstr("int");
break;
case 58:
	cvtstr("nint");
break;
case 59:
case 60:
case 61:
case 62:
			ECHO;
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
void
convert_declaration()
{
    char *p;

    for (p = (char*)&yytext[0]; *p && isspace(*p); ++p)
	output(*p);
    if (*p == 'i')
	outstr("implicit ");
    else if (*p == 'I')
	outstr("IMPLICIT ");
    outstr(islower(*p) ? "real" : "REAL");
}

void
convert_number()
{
    char *p;
    int exponent_seen = 0;

    for (p = (char*)&yytext[0]; *p; ++p)
    {
	if ((*p == 'D') || (*p == 'd'))
	{
	    exponent_seen++;
	    *p += 'e' - 'd';
	}
	else if ((*p == 'E') || (*p == 'e'))
	    exponent_seen++;
    }
    ECHO;
    if (!exponent_seen)
	outstr("E+00",stdout);
}

void
cvtstr(s)			/* output possibly case-converted string */
char *s;
{
    if (islower(yytext[0]))
	outstr(s);
    else
    {
	for ( ; *s ; ++s)
	    output(islower(*s) ? toupper(*s) : *s);
    }
}

void
output(c)		/* private output() routine to handle line wrapping */
int c;
{
    static int    last_column = 0;

    switch (c)
    {
    case '\n':
	last_column = 0;
	break;

    default:
	last_column++;
	break;
    }
    if ((last_column > 72) && (c != '\n'))
    {
	printf("\n     X");		/* all output happens here */
	last_column = 7;
    }
    putchar(c);				/* and here only */
}

void
outstr(s)				/* output string with line wrapping */
char *s;
{
    for ( ; *s ; ++s)
	output(*s);
}
int yyvstop[] ={
0,

62,
0,

61,
0,

62,
0,

60,
62,
0,

62,
0,

62,
0,

62,
0,

4,
62,
0,

62,
0,

62,
-1,
0,

62,
-1,
0,

62,
0,

62,
0,

29,
0,

28,
0,

60,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

3,
0,

2,
0,

-1,
0,

1,
0,

59,
-1,
0,

59,
-1,
0,

59,
0,

59,
0,

28,
29,
0,

30,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

-1,
0,

59,
0,

59,
0,

29,
0,

24,
0,

20,
0,

21,
0,

22,
0,

23,
0,

26,
0,

19,
0,

28,
0,

30,
0,

15,
0,

31,
59,
0,

59,
0,

59,
0,

59,
0,

36,
59,
0,

37,
59,
0,

39,
59,
0,

40,
59,
0,

59,
0,

42,
59,
0,

43,
59,
0,

59,
0,

59,
0,

49,
59,
0,

59,
0,

59,
0,

59,
0,

52,
59,
0,

59,
0,

55,
59,
0,

59,
0,

59,
0,

15,
-1,
0,

59,
0,

59,
-7,
0,

17,
0,

25,
0,

27,
0,

16,
0,

18,
0,

28,
29,
0,

32,
59,
0,

33,
59,
0,

34,
59,
0,

38,
59,
0,

59,
0,

59,
0,

45,
59,
0,

46,
59,
0,

47,
59,
0,

48,
59,
0,

50,
59,
0,

59,
0,

51,
59,
0,

53,
59,
0,

54,
59,
0,

56,
59,
0,

57,
59,
0,

59,
0,

-7,
0,

59,
0,

7,
0,

7,
59,
0,

14,
0,

35,
59,
0,

41,
59,
0,

44,
59,
0,

59,
0,

58,
59,
0,

13,
0,

13,
0,

13,
0,

13,
0,

59,
0,

6,
0,

5,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
-11,
0,

59,
0,

-11,
0,

59,
0,

11,
0,

11,
59,
0,

59,
0,

59,
0,

10,
0,

9,
0,

8,
59,
0,

59,
0,

8,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

12,
59,
0,

12,
0,
0};
# define YYTYPE unsigned short
struct yywork { YYTYPE verify, advance; } yycrank[] ={
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,3,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
45,45,	50,99,	0,0,	1,3,	
1,3,	0,0,	0,0,	1,5,	
99,147,	1,6,	1,6,	147,179,	
192,45,	0,0,	29,75,	60,108,	
61,109,	62,110,	63,111,	66,115,	
0,0,	70,75,	73,75,	100,148,	
100,148,	2,10,	1,7,	1,7,	
1,7,	1,8,	1,7,	1,7,	
1,7,	1,7,	1,9,	1,7,	
105,151,	1,7,	1,7,	1,7,	
1,7,	1,7,	1,7,	1,7,	
1,7,	1,7,	1,7,	1,7,	
2,11,	1,7,	9,44,	107,152,	
113,153,	114,154,	116,155,	15,56,	
17,58,	59,106,	2,12,	121,158,	
18,59,	0,0,	2,5,	5,16,	
5,16,	5,16,	5,16,	5,16,	
5,16,	5,16,	5,16,	5,16,	
5,16,	22,66,	23,67,	19,60,	
14,44,	48,97,	49,98,	58,105,	
5,17,	20,62,	9,44,	2,13,	
5,18,	14,55,	5,19,	15,56,	
17,58,	2,14,	19,61,	5,20,	
18,59,	5,21,	5,22,	65,114,	
20,63,	59,107,	2,15,	67,116,	
68,117,	68,117,	0,0,	5,23,	
0,0,	22,66,	23,67,	19,60,	
14,44,	48,97,	49,98,	58,105,	
5,17,	20,62,	64,112,	97,145,	
5,18,	14,55,	5,19,	98,146,	
145,177,	0,0,	19,61,	5,20,	
0,0,	5,21,	5,22,	65,114,	
20,63,	59,107,	0,0,	67,116,	
68,117,	68,117,	6,24,	5,23,	
6,25,	6,25,	6,25,	6,25,	
6,25,	6,25,	6,25,	6,25,	
6,25,	6,25,	182,196,	97,145,	
146,178,	64,113,	182,197,	98,146,	
145,177,	6,26,	6,26,	6,26,	
6,27,	6,27,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,28,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	0,0,	
146,178,	64,113,	148,148,	148,148,	
0,0,	6,26,	6,26,	6,26,	
6,27,	6,27,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,28,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	6,26,	
6,26,	6,26,	6,26,	7,29,	
7,29,	7,29,	7,29,	7,29,	
7,29,	7,29,	7,29,	7,29,	
7,29,	0,0,	177,190,	190,200,	
200,204,	202,206,	204,208,	206,211,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	177,190,	190,200,	
200,204,	202,206,	204,208,	206,211,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	7,30,	7,30,	
7,30,	7,30,	8,31,	8,32,	
8,33,	8,34,	8,35,	8,36,	
198,198,	11,45,	8,37,	211,217,	
21,64,	8,38,	8,39,	8,40,	
8,41,	10,45,	213,219,	214,220,	
8,42,	8,43,	21,65,	217,223,	
235,241,	0,0,	245,245,	0,0,	
235,242,	0,0,	0,0,	198,198,	
11,50,	0,0,	8,31,	8,32,	
8,33,	8,34,	8,35,	8,36,	
10,45,	0,0,	8,37,	211,217,	
21,64,	8,38,	8,39,	8,40,	
8,41,	245,245,	213,219,	214,220,	
8,42,	8,43,	21,65,	217,223,	
10,46,	10,47,	10,47,	10,47,	
10,47,	10,47,	10,47,	10,47,	
10,47,	10,47,	219,225,	0,0,	
12,51,	220,226,	223,229,	225,231,	
226,232,	11,48,	229,237,	231,239,	
12,51,	12,52,	0,0,	198,202,	
237,243,	10,48,	11,49,	0,0,	
0,0,	239,245,	243,247,	248,250,	
250,252,	252,254,	10,49,	254,256,	
256,258,	258,260,	260,262,	262,264,	
0,0,	245,248,	219,225,	12,51,	
0,0,	220,226,	223,229,	225,231,	
226,232,	11,48,	229,237,	231,239,	
0,0,	12,51,	12,51,	198,202,	
237,243,	10,48,	11,49,	12,51,	
12,51,	239,245,	243,247,	248,250,	
250,252,	252,254,	10,49,	254,256,	
256,258,	258,260,	260,262,	262,264,	
0,0,	245,248,	0,0,	0,0,	
12,51,	12,51,	12,51,	12,51,	
12,51,	12,51,	12,51,	12,51,	
12,51,	12,51,	0,0,	12,51,	
12,51,	12,51,	12,51,	12,51,	
12,51,	12,51,	12,51,	12,51,	
12,51,	12,51,	0,0,	12,51,	
13,53,	13,53,	26,70,	26,70,	
26,70,	26,70,	26,70,	26,70,	
26,70,	26,70,	26,70,	26,70,	
0,0,	0,0,	0,0,	0,0,	
0,0,	13,54,	13,54,	13,54,	
13,54,	13,54,	13,54,	13,54,	
13,54,	13,54,	13,54,	0,0,	
13,54,	13,54,	13,54,	13,54,	
13,54,	13,54,	13,54,	13,54,	
13,54,	13,54,	13,54,	0,0,	
13,54,	16,16,	16,16,	16,16,	
16,16,	16,16,	16,16,	16,16,	
16,16,	16,16,	16,16,	24,68,	
24,68,	24,68,	24,68,	24,68,	
24,68,	24,68,	24,68,	24,68,	
24,68,	16,57,	16,57,	0,0,	
0,0,	0,0,	0,0,	0,0,	
27,71,	0,0,	27,71,	24,69,	
24,69,	27,72,	27,72,	27,72,	
27,72,	27,72,	27,72,	27,72,	
27,72,	27,72,	27,72,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	30,30,	30,30,	30,30,	
30,30,	16,57,	16,57,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	24,69,	
24,69,	28,73,	28,73,	28,73,	
28,73,	28,73,	28,73,	28,73,	
28,73,	28,73,	28,73,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
28,74,	28,74,	28,74,	28,74,	
31,30,	31,30,	31,30,	31,30,	
31,30,	31,30,	31,30,	31,30,	
31,30,	31,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	31,76,	31,77,	
32,30,	32,30,	32,30,	32,30,	
32,30,	32,30,	32,30,	32,30,	
32,30,	32,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	31,78,	
31,79,	0,0,	33,30,	33,30,	
33,30,	33,30,	33,30,	33,30,	
33,30,	33,30,	33,30,	33,30,	
32,80,	0,0,	31,76,	31,77,	
34,30,	34,30,	34,30,	34,30,	
34,30,	34,30,	34,30,	34,30,	
34,30,	34,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	31,78,	
31,79,	33,81,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	34,82,	0,0,	0,0,	
32,80,	35,30,	35,30,	35,30,	
35,30,	35,30,	35,30,	35,30,	
35,30,	35,30,	35,30,	36,30,	
36,30,	36,30,	36,30,	36,30,	
36,30,	36,30,	36,30,	36,30,	
36,30,	33,81,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	34,82,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	36,84,	
208,208,	35,83,	37,30,	37,30,	
37,30,	37,30,	37,30,	37,30,	
37,30,	37,30,	37,30,	37,30,	
38,30,	38,30,	38,30,	38,30,	
38,30,	38,30,	38,30,	38,30,	
38,30,	38,30,	0,0,	208,208,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	36,84,	
37,85,	35,83,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	38,86,	
0,0,	39,30,	39,30,	39,30,	
39,30,	39,30,	39,30,	39,30,	
39,30,	39,30,	39,30,	0,0,	
0,0,	0,0,	0,0,	208,213,	
0,0,	0,0,	39,87,	0,0,	
37,85,	0,0,	0,0,	0,0,	
0,0,	0,0,	39,88,	0,0,	
0,0,	208,214,	0,0,	38,86,	
39,89,	0,0,	40,30,	40,30,	
40,30,	40,30,	40,30,	40,30,	
40,30,	40,30,	40,30,	40,30,	
0,0,	0,0,	0,0,	208,213,	
0,0,	0,0,	39,87,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	39,88,	40,90,	
0,0,	208,214,	0,0,	0,0,	
39,89,	41,30,	41,30,	41,30,	
41,30,	41,30,	41,30,	41,30,	
41,30,	41,30,	41,30,	42,30,	
42,30,	42,30,	42,30,	42,30,	
42,30,	42,30,	42,30,	42,30,	
42,30,	0,0,	0,0,	0,0,	
228,234,	0,0,	0,0,	40,90,	
0,0,	0,0,	0,0,	0,0,	
228,234,	228,234,	0,0,	0,0,	
42,92,	0,0,	41,91,	0,0,	
0,0,	0,0,	0,0,	0,0,	
42,93,	43,30,	43,30,	43,30,	
43,30,	43,30,	43,30,	43,30,	
43,30,	43,30,	43,30,	228,234,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	43,94,	0,0,	
0,0,	228,235,	228,234,	0,0,	
42,92,	0,0,	41,91,	228,236,	
228,236,	0,0,	0,0,	0,0,	
42,93,	44,30,	44,30,	44,30,	
44,30,	44,30,	44,30,	44,30,	
44,30,	44,30,	44,30,	0,0,	
0,0,	53,100,	0,0,	53,53,	
53,53,	0,0,	43,94,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	44,95,	0,0,	
0,0,	0,0,	0,0,	44,96,	
53,54,	53,54,	53,54,	53,54,	
53,54,	53,54,	53,54,	53,54,	
53,54,	53,54,	0,0,	53,54,	
53,54,	53,54,	53,54,	53,54,	
53,54,	53,54,	53,54,	53,54,	
53,54,	53,54,	0,0,	53,54,	
54,54,	54,54,	44,95,	0,0,	
0,0,	0,0,	0,0,	44,96,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	0,0,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	0,0,	
54,54,	55,30,	55,30,	55,30,	
55,30,	55,30,	55,30,	55,30,	
55,30,	55,30,	55,30,	56,30,	
56,30,	56,30,	56,30,	56,30,	
56,30,	56,30,	56,30,	56,30,	
56,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
56,102,	57,103,	0,0,	57,103,	
0,0,	55,101,	57,104,	57,104,	
57,104,	57,104,	57,104,	57,104,	
57,104,	57,104,	57,104,	57,104,	
69,118,	0,0,	69,118,	0,0,	
0,0,	69,119,	69,119,	69,119,	
69,119,	69,119,	69,119,	69,119,	
69,119,	69,119,	69,119,	0,0,	
56,102,	0,0,	0,0,	0,0,	
0,0,	55,101,	71,120,	71,120,	
71,120,	71,120,	71,120,	71,120,	
71,120,	71,120,	71,120,	71,120,	
72,75,	0,0,	72,72,	72,72,	
72,72,	72,72,	72,72,	72,72,	
72,72,	72,72,	72,72,	72,72,	
74,121,	74,121,	74,121,	74,121,	
74,121,	74,121,	74,121,	74,121,	
74,121,	74,121,	75,122,	75,122,	
75,122,	75,122,	75,122,	75,122,	
75,122,	75,122,	75,122,	75,122,	
76,30,	76,30,	76,30,	76,30,	
76,30,	76,30,	76,30,	76,30,	
76,30,	76,30,	77,30,	77,30,	
77,30,	77,30,	77,30,	77,30,	
77,30,	77,30,	77,30,	77,30,	
78,30,	78,30,	78,30,	78,30,	
78,30,	78,30,	78,30,	78,30,	
78,30,	78,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	76,123,	
0,0,	0,0,	0,0,	0,0,	
0,0,	77,124,	0,0,	0,0,	
0,0,	78,125,	79,30,	79,30,	
79,30,	79,30,	79,30,	79,30,	
79,30,	79,30,	79,30,	79,30,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	79,126,	
0,0,	0,0,	0,0,	76,123,	
0,0,	0,0,	0,0,	0,0,	
0,0,	77,124,	0,0,	0,0,	
0,0,	78,125,	80,30,	80,30,	
80,30,	80,30,	80,30,	80,30,	
80,30,	80,30,	80,30,	80,30,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	79,126,	
0,0,	0,0,	0,0,	80,127,	
81,30,	81,30,	81,30,	81,30,	
81,30,	81,30,	81,30,	81,30,	
81,30,	81,30,	82,30,	82,30,	
82,30,	82,30,	82,30,	82,30,	
82,30,	82,30,	82,30,	82,30,	
83,30,	83,30,	83,30,	83,30,	
83,30,	83,30,	83,30,	83,30,	
83,30,	83,30,	0,0,	80,127,	
0,0,	0,0,	0,0,	81,128,	
0,0,	0,0,	0,0,	82,129,	
0,0,	84,30,	84,30,	84,30,	
84,30,	84,30,	84,30,	84,30,	
84,30,	84,30,	84,30,	0,0,	
83,130,	85,30,	85,30,	85,30,	
85,30,	85,30,	85,30,	85,30,	
85,30,	85,30,	85,30,	0,0,	
0,0,	0,0,	0,0,	81,128,	
0,0,	0,0,	0,0,	82,129,	
84,131,	86,30,	86,30,	86,30,	
86,30,	86,30,	86,30,	86,30,	
86,30,	86,30,	86,30,	0,0,	
83,130,	0,0,	0,0,	0,0,	
0,0,	85,132,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
86,133,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
84,131,	87,30,	87,30,	87,30,	
87,30,	87,30,	87,30,	87,30,	
87,30,	87,30,	87,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	85,132,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
86,133,	88,30,	88,30,	88,30,	
88,30,	88,30,	88,30,	88,30,	
88,30,	88,30,	88,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	87,134,	89,30,	89,30,	
89,30,	89,30,	89,30,	89,30,	
89,30,	89,30,	89,30,	89,30,	
0,0,	0,0,	0,0,	88,135,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	89,136,	90,30,	
90,30,	90,30,	90,30,	90,30,	
90,30,	90,30,	90,30,	90,30,	
90,30,	87,134,	91,30,	91,30,	
91,30,	91,30,	91,30,	91,30,	
91,30,	91,30,	91,30,	91,30,	
0,0,	0,0,	0,0,	88,135,	
0,0,	0,0,	0,0,	0,0,	
91,138,	90,137,	89,136,	0,0,	
92,30,	92,30,	92,30,	92,30,	
92,30,	92,30,	92,30,	92,30,	
92,30,	92,30,	93,30,	93,30,	
93,30,	93,30,	93,30,	93,30,	
93,30,	93,30,	93,30,	93,30,	
0,0,	0,0,	0,0,	92,139,	
0,0,	0,0,	0,0,	0,0,	
91,138,	90,137,	92,140,	94,30,	
94,30,	94,30,	94,30,	94,30,	
94,30,	94,30,	94,30,	94,30,	
94,30,	0,0,	0,0,	0,0,	
93,141,	95,30,	95,30,	95,30,	
95,30,	95,30,	95,30,	95,30,	
95,30,	95,30,	95,30,	92,139,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,142,	92,140,	96,30,	
96,30,	96,30,	96,30,	96,30,	
96,30,	96,30,	96,30,	96,30,	
96,30,	0,0,	0,0,	95,143,	
93,141,	101,30,	101,30,	101,30,	
101,30,	101,30,	101,30,	101,30,	
101,30,	101,30,	101,30,	0,0,	
96,144,	0,0,	0,0,	0,0,	
0,0,	94,142,	102,30,	102,30,	
102,30,	102,30,	102,30,	102,30,	
102,30,	102,30,	102,30,	102,30,	
0,0,	101,149,	0,0,	95,143,	
103,104,	103,104,	103,104,	103,104,	
103,104,	103,104,	103,104,	103,104,	
103,104,	103,104,	0,0,	117,156,	
96,144,	117,156,	102,150,	0,0,	
117,157,	117,157,	117,157,	117,157,	
117,157,	117,157,	117,157,	117,157,	
117,157,	117,157,	0,0,	0,0,	
0,0,	101,149,	118,119,	118,119,	
118,119,	118,119,	118,119,	118,119,	
118,119,	118,119,	118,119,	118,119,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	102,150,	123,30,	
123,30,	123,30,	123,30,	123,30,	
123,30,	123,30,	123,30,	123,30,	
123,30,	124,30,	124,30,	124,30,	
124,30,	124,30,	124,30,	124,30,	
124,30,	124,30,	124,30,	125,30,	
125,30,	125,30,	125,30,	125,30,	
125,30,	125,30,	125,30,	125,30,	
125,30,	126,30,	126,30,	126,30,	
126,30,	126,30,	126,30,	126,30,	
126,30,	126,30,	126,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
124,159,	0,0,	0,0,	0,0,	
0,0,	125,160,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	126,161,	
127,30,	127,30,	127,30,	127,30,	
127,30,	127,30,	127,30,	127,30,	
127,30,	127,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
124,159,	0,0,	0,0,	0,0,	
0,0,	125,160,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	126,161,	
128,30,	128,30,	128,30,	128,30,	
128,30,	128,30,	128,30,	128,30,	
128,30,	128,30,	129,30,	129,30,	
129,30,	129,30,	129,30,	129,30,	
129,30,	129,30,	129,30,	129,30,	
0,0,	0,0,	0,0,	0,0,	
128,162,	130,30,	130,30,	130,30,	
130,30,	130,30,	130,30,	130,30,	
130,30,	130,30,	130,30,	131,30,	
131,30,	131,30,	131,30,	131,30,	
131,30,	131,30,	131,30,	131,30,	
131,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
131,163,	0,0,	0,0,	0,0,	
128,162,	132,30,	132,30,	132,30,	
132,30,	132,30,	132,30,	132,30,	
132,30,	132,30,	132,30,	133,30,	
133,164,	133,30,	133,30,	133,30,	
133,30,	133,30,	133,30,	133,30,	
133,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
131,163,	134,165,	134,166,	134,30,	
134,30,	134,30,	134,30,	134,30,	
134,30,	134,30,	134,30,	135,167,	
135,168,	135,30,	135,30,	135,30,	
135,30,	135,30,	135,30,	135,30,	
135,30,	136,30,	136,30,	136,30,	
136,30,	136,30,	136,30,	136,30,	
136,30,	136,30,	136,30,	137,30,	
137,30,	137,30,	137,30,	137,30,	
137,30,	137,30,	137,30,	137,30,	
137,30,	138,30,	138,30,	138,30,	
138,30,	138,30,	138,30,	138,30,	
138,30,	138,30,	138,30,	139,30,	
139,30,	139,30,	139,30,	139,30,	
139,30,	139,30,	139,30,	139,30,	
139,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	137,169,	
0,0,	138,170,	140,30,	140,30,	
140,30,	140,30,	140,30,	140,30,	
140,30,	140,30,	140,30,	140,30,	
0,0,	139,171,	141,30,	141,30,	
141,30,	141,30,	141,30,	141,30,	
141,30,	141,30,	141,30,	141,30,	
0,0,	0,0,	140,172,	0,0,	
0,0,	0,0,	0,0,	137,169,	
0,0,	138,170,	0,0,	142,30,	
142,30,	142,30,	142,30,	142,30,	
142,30,	142,30,	142,30,	142,30,	
142,30,	139,171,	0,0,	0,0,	
0,0,	0,0,	141,173,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	140,172,	142,174,	
143,30,	143,30,	143,30,	143,30,	
143,30,	143,30,	143,30,	143,30,	
143,30,	143,30,	144,30,	144,30,	
144,30,	144,30,	144,30,	144,30,	
144,30,	144,30,	144,30,	144,30,	
0,0,	0,0,	141,173,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	142,174,	
0,0,	0,0,	0,0,	0,0,	
143,175,	0,0,	0,0,	0,0,	
144,176,	149,30,	149,30,	149,30,	
149,30,	149,30,	149,30,	149,30,	
149,30,	149,30,	149,30,	0,0,	
150,181,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
150,181,	150,181,	0,0,	0,0,	
0,0,	0,0,	149,180,	0,0,	
143,175,	0,0,	0,0,	0,0,	
144,176,	156,157,	156,157,	156,157,	
156,157,	156,157,	156,157,	156,157,	
156,157,	156,157,	156,157,	150,181,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	150,182,	150,181,	0,0,	
0,0,	0,0,	149,180,	150,183,	
150,183,	158,184,	158,184,	158,184,	
158,184,	158,184,	158,184,	158,184,	
158,184,	158,184,	158,184,	0,0,	
0,0,	0,0,	0,0,	0,0,	
150,30,	150,30,	150,30,	150,30,	
150,30,	150,30,	150,30,	150,30,	
150,30,	150,30,	0,0,	150,30,	
150,30,	150,30,	150,30,	150,30,	
150,30,	150,30,	150,30,	150,30,	
150,30,	150,30,	0,0,	150,30,	
159,30,	159,30,	159,30,	159,30,	
159,30,	159,30,	159,30,	159,30,	
159,30,	159,30,	160,30,	160,30,	
160,30,	160,30,	160,30,	160,30,	
160,30,	160,30,	160,30,	160,30,	
161,30,	161,30,	161,185,	161,30,	
161,30,	161,30,	161,30,	161,30,	
161,30,	161,30,	162,30,	162,30,	
162,30,	162,30,	162,30,	162,30,	
162,30,	162,30,	162,30,	162,30,	
163,30,	163,30,	163,30,	163,30,	
163,30,	163,30,	163,30,	163,30,	
163,30,	163,30,	164,187,	164,30,	
164,30,	164,30,	164,30,	164,30,	
164,30,	164,30,	164,30,	164,30,	
165,30,	165,30,	165,30,	165,30,	
165,30,	165,30,	165,30,	165,30,	
165,30,	165,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
163,186,	166,30,	166,30,	166,30,	
166,30,	166,30,	166,30,	166,30,	
166,30,	166,30,	166,30,	167,30,	
167,30,	167,30,	167,30,	167,30,	
167,30,	167,30,	167,30,	167,30,	
167,30,	168,30,	168,30,	168,30,	
168,30,	168,30,	168,30,	168,30,	
168,30,	168,30,	168,30,	0,0,	
163,186,	169,30,	169,30,	169,30,	
169,30,	169,30,	169,30,	169,30,	
169,30,	169,30,	169,30,	170,30,	
170,30,	170,30,	170,30,	170,30,	
170,30,	170,30,	170,30,	170,30,	
170,30,	171,30,	171,30,	171,30,	
171,30,	171,30,	171,30,	171,30,	
171,30,	171,30,	171,30,	0,0,	
170,188,	172,30,	172,30,	172,30,	
172,30,	172,30,	172,30,	172,30,	
172,30,	172,30,	172,30,	173,30,	
173,30,	173,30,	173,30,	173,30,	
173,30,	173,30,	173,30,	173,30,	
173,30,	174,30,	174,30,	174,30,	
174,30,	174,30,	174,30,	174,30,	
174,30,	174,30,	174,30,	0,0,	
170,188,	175,30,	175,30,	175,30,	
175,30,	175,30,	175,30,	175,30,	
175,30,	175,30,	175,30,	176,30,	
176,30,	176,30,	176,30,	176,30,	
176,30,	176,30,	176,30,	176,30,	
176,30,	178,181,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	178,181,	178,181,	180,30,	
180,30,	180,30,	180,30,	180,30,	
180,30,	180,30,	180,30,	180,30,	
180,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	176,189,	
0,0,	0,0,	180,195,	0,0,	
178,181,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	178,182,	178,181,	
0,0,	0,0,	0,0,	0,0,	
178,181,	178,181,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	176,189,	
0,0,	0,0,	180,195,	0,0,	
0,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	178,0,	
178,0,	178,0,	178,0,	179,191,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	179,192,	
179,191,	183,30,	183,30,	183,30,	
183,30,	183,30,	183,30,	183,30,	
183,30,	183,30,	183,30,	185,30,	
185,30,	185,30,	185,30,	185,30,	
185,30,	185,30,	185,30,	185,30,	
185,30,	0,0,	179,45,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
179,191,	179,191,	0,0,	0,0,	
0,0,	0,0,	179,0,	179,191,	
186,30,	186,30,	186,30,	186,30,	
186,30,	186,30,	186,30,	186,30,	
186,30,	186,30,	0,0,	0,0,	
0,0,	0,0,	188,198,	179,191,	
179,191,	179,191,	179,191,	179,191,	
179,191,	179,191,	179,191,	179,193,	
179,191,	0,0,	179,191,	179,191,	
179,191,	179,191,	179,191,	179,191,	
179,194,	179,191,	179,191,	179,191,	
179,191,	188,198,	179,191,	187,30,	
187,30,	187,30,	187,30,	187,30,	
187,30,	187,30,	187,30,	187,30,	
187,30,	0,0,	0,0,	0,0,	
0,0,	188,30,	188,30,	188,30,	
188,30,	188,30,	188,30,	188,30,	
188,30,	188,30,	188,30,	189,30,	
189,30,	189,30,	189,30,	189,30,	
189,30,	189,30,	189,30,	189,30,	
189,30,	195,30,	195,30,	195,30,	
195,30,	195,30,	195,30,	195,30,	
195,30,	195,30,	195,30,	0,0,	
0,0,	188,199,	199,30,	199,30,	
199,30,	199,30,	199,30,	199,30,	
199,30,	199,30,	199,30,	199,30,	
0,0,	0,0,	195,201,	201,30,	
201,30,	201,30,	201,30,	201,30,	
201,30,	201,30,	201,30,	201,30,	
201,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	188,199,	0,0,	0,0,	
199,203,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	195,201,	205,208,	
0,0,	0,0,	0,0,	201,205,	
203,30,	203,30,	203,30,	203,30,	
203,30,	203,30,	203,30,	203,30,	
203,30,	203,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
199,203,	0,0,	205,208,	0,0,	
0,0,	203,207,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	201,205,	
0,0,	0,0,	205,30,	205,30,	
205,30,	205,30,	205,30,	205,30,	
205,30,	205,30,	205,30,	205,30,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	203,207,	205,209,	207,30,	
207,30,	207,30,	207,30,	207,30,	
207,30,	207,30,	207,30,	207,30,	
207,30,	0,0,	0,0,	0,0,	
205,210,	0,0,	0,0,	0,0,	
0,0,	0,0,	207,212,	0,0,	
209,30,	209,30,	209,30,	209,30,	
209,30,	209,30,	209,30,	209,30,	
209,30,	209,30,	205,209,	210,30,	
210,30,	210,30,	210,30,	210,30,	
210,30,	210,30,	210,30,	210,30,	
210,30,	0,0,	0,0,	0,0,	
205,210,	0,0,	0,0,	0,0,	
0,0,	0,0,	207,212,	209,215,	
210,216,	212,30,	212,30,	212,30,	
212,30,	212,30,	212,30,	212,30,	
212,30,	212,30,	212,30,	215,30,	
215,30,	215,30,	215,30,	215,30,	
215,30,	215,30,	215,30,	215,30,	
215,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	212,218,	0,0,	
0,0,	0,0,	0,0,	209,215,	
210,216,	216,30,	216,30,	216,30,	
216,30,	216,30,	216,30,	216,30,	
216,30,	216,30,	216,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
215,221,	0,0,	216,222,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	212,218,	218,30,	
218,30,	218,30,	218,30,	218,30,	
218,30,	218,30,	218,30,	218,30,	
218,30,	221,30,	221,30,	221,30,	
221,30,	221,30,	221,30,	221,30,	
221,30,	221,30,	221,30,	0,0,	
215,221,	0,0,	216,222,	0,0,	
0,0,	0,0,	0,0,	221,227,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	218,224,	222,30,	
222,30,	222,30,	222,30,	222,30,	
222,30,	222,30,	222,30,	222,30,	
222,30,	224,30,	224,30,	224,30,	
224,30,	224,30,	224,30,	224,30,	
224,30,	224,30,	224,30,	0,0,	
0,0,	0,0,	0,0,	221,227,	
0,0,	0,0,	0,0,	222,228,	
0,0,	0,0,	218,224,	0,0,	
0,0,	0,0,	224,230,	227,30,	
227,30,	227,30,	227,30,	227,30,	
227,30,	227,30,	227,30,	227,30,	
227,30,	230,30,	230,30,	230,30,	
230,30,	230,30,	230,30,	230,30,	
230,30,	230,30,	230,30,	0,0,	
232,234,	0,0,	0,0,	222,228,	
0,0,	0,0,	0,0,	227,233,	
232,234,	232,234,	224,230,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
230,238,	236,30,	236,30,	236,30,	
236,30,	236,30,	236,30,	236,30,	
236,30,	236,30,	236,30,	232,234,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	227,233,	
0,0,	232,235,	232,234,	0,0,	
0,0,	0,0,	0,0,	232,234,	
232,234,	0,0,	0,0,	0,0,	
230,238,	244,30,	244,30,	244,30,	
244,30,	244,30,	244,30,	244,30,	
244,30,	244,30,	244,30,	0,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	232,0,	232,0,	
232,0,	232,0,	233,30,	233,30,	
233,30,	233,30,	233,30,	233,30,	
233,30,	233,30,	233,30,	233,30,	
238,30,	238,30,	238,30,	238,30,	
238,30,	238,30,	238,30,	238,30,	
238,30,	238,30,	240,245,	233,240,	
246,30,	246,30,	246,30,	246,30,	
246,30,	246,30,	246,30,	246,30,	
246,30,	246,30,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	238,244,	0,0,	
0,0,	240,245,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	233,240,	
0,0,	0,0,	246,249,	0,0,	
0,0,	240,30,	240,30,	240,30,	
240,30,	240,30,	240,30,	240,30,	
240,30,	240,30,	240,30,	0,0,	
0,0,	0,0,	238,244,	249,30,	
249,30,	249,30,	249,30,	249,30,	
249,30,	249,30,	249,30,	249,30,	
249,30,	0,0,	0,0,	0,0,	
0,0,	0,0,	246,249,	0,0,	
0,0,	240,246,	0,0,	0,0,	
249,251,	251,30,	251,30,	251,30,	
251,30,	251,30,	251,30,	251,30,	
251,30,	251,30,	251,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
251,253,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	240,246,	0,0,	0,0,	
249,251,	253,30,	253,30,	253,30,	
253,30,	253,30,	253,30,	253,30,	
253,30,	253,30,	253,30,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
251,253,	0,0,	0,0,	0,0,	
0,0,	0,0,	253,255,	255,30,	
255,30,	255,30,	255,30,	255,30,	
255,30,	255,30,	255,30,	255,30,	
255,30,	0,0,	257,30,	257,30,	
257,30,	257,30,	257,30,	257,30,	
257,30,	257,30,	257,30,	257,30,	
259,30,	259,30,	259,30,	259,30,	
259,30,	259,30,	259,30,	259,30,	
259,30,	259,30,	253,255,	0,0,	
0,0,	0,0,	255,257,	257,259,	
0,0,	0,0,	261,30,	261,30,	
261,30,	261,30,	261,30,	261,30,	
261,30,	261,30,	261,30,	261,30,	
0,0,	0,0,	0,0,	259,261,	
263,30,	263,30,	263,30,	263,30,	
263,30,	263,30,	263,30,	263,30,	
263,30,	263,30,	0,0,	0,0,	
0,0,	0,0,	255,257,	257,259,	
261,263,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	259,261,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
261,263,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] ={
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-56,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+55,	0,		yyvstop+5,
yycrank+128,	0,		yyvstop+7,
yycrank+203,	0,		yyvstop+10,
yycrank+261,	yysvec+7,	yyvstop+12,
yycrank+22,	yysvec+7,	yyvstop+14,
yycrank+332,	0,		yyvstop+16,
yycrank+324,	0,		yyvstop+19,
yycrank+-391,	0,		yyvstop+21,
yycrank+-432,	yysvec+12,	yyvstop+24,
yycrank+48,	yysvec+7,	yyvstop+27,
yycrank+26,	yysvec+7,	yyvstop+29,
yycrank+473,	0,		yyvstop+31,
yycrank+18,	0,		0,	
yycrank+19,	0,		0,	
yycrank+46,	0,		0,	
yycrank+52,	0,		0,	
yycrank+267,	0,		0,	
yycrank+31,	0,		0,	
yycrank+35,	0,		0,	
yycrank+483,	0,		yyvstop+33,
yycrank+0,	yysvec+6,	yyvstop+35,
yycrank+434,	0,		0,	
yycrank+505,	0,		0,	
yycrank+537,	0,		0,	
yycrank+8,	yysvec+7,	yyvstop+37,
yycrank+515,	yysvec+7,	yyvstop+39,
yycrank+612,	yysvec+7,	yyvstop+41,
yycrank+632,	yysvec+7,	yyvstop+43,
yycrank+650,	yysvec+7,	yyvstop+45,
yycrank+664,	yysvec+7,	yyvstop+47,
yycrank+693,	yysvec+7,	yyvstop+49,
yycrank+703,	yysvec+7,	yyvstop+51,
yycrank+734,	yysvec+7,	yyvstop+53,
yycrank+744,	yysvec+7,	yyvstop+55,
yycrank+777,	yysvec+7,	yyvstop+57,
yycrank+810,	yysvec+7,	yyvstop+59,
yycrank+841,	yysvec+7,	yyvstop+61,
yycrank+851,	yysvec+7,	yyvstop+63,
yycrank+885,	yysvec+7,	yyvstop+65,
yycrank+917,	yysvec+7,	yyvstop+67,
yycrank+8,	yysvec+11,	0,	
yycrank+0,	0,		yyvstop+69,
yycrank+0,	0,		yyvstop+71,
yycrank+40,	0,		0,	
yycrank+49,	0,		0,	
yycrank+9,	yysvec+11,	0,	
yycrank+0,	yysvec+12,	yyvstop+73,
yycrank+0,	0,		yyvstop+75,
yycrank+-931,	yysvec+12,	yyvstop+77,
yycrank+-972,	yysvec+12,	yyvstop+80,
yycrank+1013,	yysvec+7,	yyvstop+83,
yycrank+1023,	yysvec+7,	yyvstop+85,
yycrank+1046,	0,		0,	
yycrank+51,	0,		0,	
yycrank+51,	0,		0,	
yycrank+9,	0,		0,	
yycrank+10,	0,		0,	
yycrank+11,	0,		0,	
yycrank+12,	0,		0,	
yycrank+108,	0,		0,	
yycrank+51,	0,		0,	
yycrank+13,	0,		0,	
yycrank+57,	0,		0,	
yycrank+72,	yysvec+24,	yyvstop+87,
yycrank+1061,	0,		0,	
yycrank+15,	yysvec+26,	0,	
yycrank+1078,	0,		0,	
yycrank+1090,	0,		yyvstop+90,
yycrank+16,	yysvec+28,	0,	
yycrank+1100,	0,		0,	
yycrank+1110,	0,		0,	
yycrank+1120,	yysvec+7,	yyvstop+92,
yycrank+1130,	yysvec+7,	yyvstop+94,
yycrank+1140,	yysvec+7,	yyvstop+96,
yycrank+1166,	yysvec+7,	yyvstop+98,
yycrank+1198,	yysvec+7,	yyvstop+100,
yycrank+1220,	yysvec+7,	yyvstop+102,
yycrank+1230,	yysvec+7,	yyvstop+104,
yycrank+1240,	yysvec+7,	yyvstop+106,
yycrank+1261,	yysvec+7,	yyvstop+108,
yycrank+1273,	yysvec+7,	yyvstop+110,
yycrank+1293,	yysvec+7,	yyvstop+112,
yycrank+1325,	yysvec+7,	yyvstop+114,
yycrank+1349,	yysvec+7,	yyvstop+116,
yycrank+1366,	yysvec+7,	yyvstop+118,
yycrank+1387,	yysvec+7,	yyvstop+120,
yycrank+1398,	yysvec+7,	yyvstop+122,
yycrank+1420,	yysvec+7,	yyvstop+124,
yycrank+1430,	yysvec+7,	yyvstop+126,
yycrank+1451,	yysvec+7,	yyvstop+128,
yycrank+1465,	yysvec+7,	yyvstop+130,
yycrank+1483,	yysvec+7,	yyvstop+132,
yycrank+75,	0,		0,	
yycrank+94,	0,		0,	
yycrank+16,	yysvec+11,	0,	
yycrank+-15,	yysvec+12,	yyvstop+134,
yycrank+1497,	yysvec+7,	yyvstop+136,
yycrank+1514,	yysvec+7,	yyvstop+138,
yycrank+1528,	0,		0,	
yycrank+0,	yysvec+103,	yyvstop+140,
yycrank+30,	0,		0,	
yycrank+0,	0,		yyvstop+142,
yycrank+45,	0,		0,	
yycrank+0,	0,		yyvstop+144,
yycrank+0,	0,		yyvstop+146,
yycrank+0,	0,		yyvstop+148,
yycrank+0,	0,		yyvstop+150,
yycrank+0,	0,		yyvstop+152,
yycrank+46,	0,		0,	
yycrank+47,	0,		0,	
yycrank+0,	0,		yyvstop+154,
yycrank+48,	0,		0,	
yycrank+1544,	0,		0,	
yycrank+1558,	0,		0,	
yycrank+0,	yysvec+118,	yyvstop+156,
yycrank+0,	yysvec+71,	yyvstop+158,
yycrank+53,	yysvec+74,	0,	
yycrank+0,	yysvec+75,	yyvstop+160,
yycrank+1575,	yysvec+7,	yyvstop+162,
yycrank+1585,	yysvec+7,	yyvstop+165,
yycrank+1595,	yysvec+7,	yyvstop+167,
yycrank+1605,	yysvec+7,	yyvstop+169,
yycrank+1636,	yysvec+7,	yyvstop+171,
yycrank+1668,	yysvec+7,	yyvstop+174,
yycrank+1678,	yysvec+7,	yyvstop+177,
yycrank+1693,	yysvec+7,	yyvstop+180,
yycrank+1703,	yysvec+7,	yyvstop+183,
yycrank+1725,	yysvec+7,	yyvstop+185,
yycrank+1735,	yysvec+7,	yyvstop+188,
yycrank+1753,	yysvec+7,	yyvstop+191,
yycrank+1763,	yysvec+7,	yyvstop+193,
yycrank+1773,	yysvec+7,	yyvstop+195,
yycrank+1783,	yysvec+7,	yyvstop+198,
yycrank+1793,	yysvec+7,	yyvstop+200,
yycrank+1803,	yysvec+7,	yyvstop+202,
yycrank+1822,	yysvec+7,	yyvstop+204,
yycrank+1834,	yysvec+7,	yyvstop+207,
yycrank+1855,	yysvec+7,	yyvstop+209,
yycrank+1880,	yysvec+7,	yyvstop+212,
yycrank+1890,	yysvec+7,	yyvstop+214,
yycrank+84,	0,		0,	
yycrank+112,	0,		0,	
yycrank+19,	yysvec+11,	0,	
yycrank+-174,	yysvec+12,	yyvstop+216,
yycrank+1921,	yysvec+7,	yyvstop+219,
yycrank+-1979,	0,		yyvstop+221,
yycrank+0,	0,		yyvstop+224,
yycrank+0,	0,		yyvstop+226,
yycrank+0,	0,		yyvstop+228,
yycrank+0,	0,		yyvstop+230,
yycrank+0,	0,		yyvstop+232,
yycrank+1953,	0,		0,	
yycrank+0,	yysvec+156,	yyvstop+234,
yycrank+1981,	0,		0,	
yycrank+2020,	yysvec+7,	yyvstop+237,
yycrank+2030,	yysvec+7,	yyvstop+240,
yycrank+2040,	yysvec+7,	yyvstop+243,
yycrank+2050,	yysvec+7,	yyvstop+246,
yycrank+2060,	yysvec+7,	yyvstop+249,
yycrank+2070,	yysvec+7,	yyvstop+251,
yycrank+2080,	yysvec+7,	yyvstop+253,
yycrank+2097,	yysvec+7,	yyvstop+256,
yycrank+2107,	yysvec+7,	yyvstop+259,
yycrank+2117,	yysvec+7,	yyvstop+262,
yycrank+2129,	yysvec+7,	yyvstop+265,
yycrank+2139,	yysvec+7,	yyvstop+268,
yycrank+2149,	yysvec+7,	yyvstop+270,
yycrank+2161,	yysvec+7,	yyvstop+273,
yycrank+2171,	yysvec+7,	yyvstop+276,
yycrank+2181,	yysvec+7,	yyvstop+279,
yycrank+2193,	yysvec+7,	yyvstop+282,
yycrank+2203,	yysvec+7,	yyvstop+285,
yycrank+189,	0,		0,	
yycrank+-2260,	0,		yyvstop+287,
yycrank+-2382,	0,		0,	
yycrank+2223,	yysvec+7,	yyvstop+289,
yycrank+0,	0,		yyvstop+291,
yycrank+134,	0,		0,	
yycrank+2345,	yysvec+7,	yyvstop+293,
yycrank+0,	yysvec+158,	yyvstop+296,
yycrank+2355,	yysvec+7,	yyvstop+298,
yycrank+2384,	yysvec+7,	yyvstop+301,
yycrank+2423,	yysvec+7,	yyvstop+304,
yycrank+2437,	yysvec+7,	yyvstop+307,
yycrank+2447,	yysvec+7,	yyvstop+309,
yycrank+196,	0,		0,	
yycrank+0,	0,		yyvstop+312,
yycrank+20,	yysvec+11,	yyvstop+314,
yycrank+0,	yysvec+48,	yyvstop+316,
yycrank+0,	yysvec+49,	yyvstop+318,
yycrank+2457,	yysvec+7,	yyvstop+320,
yycrank+0,	0,		yyvstop+322,
yycrank+0,	0,		yyvstop+324,
yycrank+323,	0,		0,	
yycrank+2470,	yysvec+7,	yyvstop+326,
yycrank+191,	0,		0,	
yycrank+2483,	yysvec+7,	yyvstop+328,
yycrank+183,	0,		0,	
yycrank+2520,	yysvec+7,	yyvstop+330,
yycrank+182,	0,		0,	
yycrank+2554,	yysvec+7,	yyvstop+332,
yycrank+198,	0,		0,	
yycrank+2575,	yysvec+7,	yyvstop+334,
yycrank+771,	0,		0,	
yycrank+2596,	yysvec+7,	yyvstop+336,
yycrank+2607,	yysvec+7,	yyvstop+338,
yycrank+268,	0,		0,	
yycrank+2629,	yysvec+7,	yyvstop+340,
yycrank+263,	0,		0,	
yycrank+274,	0,		0,	
yycrank+2639,	yysvec+7,	yyvstop+342,
yycrank+2661,	yysvec+7,	yyvstop+344,
yycrank+274,	0,		0,	
yycrank+2687,	yysvec+7,	yyvstop+346,
yycrank+305,	0,		0,	
yycrank+328,	0,		0,	
yycrank+2697,	yysvec+7,	yyvstop+348,
yycrank+2723,	yysvec+7,	yyvstop+350,
yycrank+311,	0,		0,	
yycrank+2733,	yysvec+7,	yyvstop+352,
yycrank+329,	0,		0,	
yycrank+320,	0,		0,	
yycrank+2759,	yysvec+7,	yyvstop+354,
yycrank+-911,	yysvec+150,	yyvstop+356,
yycrank+325,	0,		0,	
yycrank+2769,	yysvec+7,	yyvstop+359,
yycrank+323,	0,		0,	
yycrank+-2827,	0,		yyvstop+361,
yycrank+2902,	yysvec+7,	yyvstop+363,
yycrank+0,	0,		yyvstop+365,
yycrank+296,	0,		0,	
yycrank+2801,	yysvec+7,	yyvstop+367,
yycrank+325,	0,		0,	
yycrank+2912,	yysvec+7,	yyvstop+370,
yycrank+340,	0,		0,	
yycrank+2961,	yysvec+7,	yyvstop+372,
yycrank+0,	0,		yyvstop+374,
yycrank+0,	0,		yyvstop+376,
yycrank+332,	0,		0,	
yycrank+2833,	yysvec+7,	yyvstop+378,
yycrank+341,	0,		0,	
yycrank+2924,	yysvec+7,	yyvstop+381,
yycrank+0,	0,		yyvstop+383,
yycrank+329,	0,		0,	
yycrank+2975,	yysvec+7,	yyvstop+385,
yycrank+343,	0,		0,	
yycrank+2997,	yysvec+7,	yyvstop+387,
yycrank+346,	0,		0,	
yycrank+3029,	yysvec+7,	yyvstop+389,
yycrank+342,	0,		0,	
yycrank+3055,	yysvec+7,	yyvstop+391,
yycrank+333,	0,		0,	
yycrank+3066,	yysvec+7,	yyvstop+393,
yycrank+344,	0,		0,	
yycrank+3076,	yysvec+7,	yyvstop+395,
yycrank+339,	0,		0,	
yycrank+3094,	yysvec+7,	yyvstop+397,
yycrank+341,	0,		0,	
yycrank+3108,	yysvec+7,	yyvstop+399,
yycrank+0,	0,		yyvstop+402,
0,	0,	0};
struct yywork *yytop = yycrank+3204;
struct yysvf *yybgin = yysvec+1;
char yymatch[] ={
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
040 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'*' ,'+' ,01  ,'+' ,01  ,01  ,
'0' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,
'1' ,'1' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'J' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'U' ,'V' ,'J' ,
'X' ,'J' ,'J' ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'J' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'U' ,'V' ,'J' ,
'X' ,'J' ,'J' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] ={
0,1,0,0,0,0,0,1,
0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	ncform	4.1	83/08/11	*/

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if	NeXT
int yylook(){
#else
yylook(){
#endif	NeXT
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank){		/* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if	NeXT
int yyback(p, m)
	int *p;
	int m;
#else
yyback(p, m)
	int *p;
#endif	NeXT
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
#if	NeXT
int yyinput(){
#else
yyinput(){
#endif	NeXT
	return(input());
	}
#if	NeXT
void yyoutput(c)
	int c; 
{
	output(c);
}
#else
yyoutput(c)
  int c; {
	output(c);
	}
#endif	NeXT
#if	NeXT
void yyunput(c)
	int c; 
{
	unput(c);
}
#else
yyunput(c)
   int c; {
	unput(c);
	}
#endif	NeXT
